Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Done
    • Affects Version/s: fuse-7.3
    • Fix Version/s: fuse-7.3
    • Component/s: Karaf
    • Labels:
    • Steps to Reproduce:
      1. Unzip xnio.zip
      2. cd sti-karaf
      3. mvn clean install && ./target/assembly/bin/karaf

      Description

      Error

      org.apache.felix.resolver.reason.ReasonException: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=eb17e603-c1f1-4482-be93-4a233560fe49; type=karaf.feature; version="[0,0.0.0]"; filter:="(&(osgi.identity=eb17e603-c1f1-4482-be93-4a233560fe49)(type=karaf.feature)(version>=0.0.0)(version<=0.0.0))" [caused by: Unable to resolve eb17e603-c1f1-4482-be93-4a233560fe49/0.0.0: missing requirement [eb17e603-c1f1-4482-be93-4a233560fe49/0.0.0] osgi.identity; osgi.identity=camel-undertow; type=karaf.feature; version="[2.21.0.fuse-730067,2.21.0.fuse-730067]" [caused by: Unable to resolve camel-undertow/2.21.0.fuse-730067: missing requirement [camel-undertow/2.21.0.fuse-730067] osgi.identity; osgi.identity=org.apache.camel.camel-undertow; type=osgi.bundle; version="[2.21.0.fuse-730067,2.21.0.fuse-730067]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-undertow [54](R 54.0): missing requirement [org.apache.camel.camel-undertow [54](R 54.0)] osgi.wiring.package; (&(osgi.wiring.package=io.undertow.client)(version>=2.0.0)(!(version>=3.0.0))) [caused by: Unable to resolve io.undertow.core [49](R 49.0): missing requirement [io.undertow.core [49](R 49.0)] osgi.wiring.package; (&(osgi.wiring.package=org.xnio.channels)(version>=3.3.0)(!(version>=4.0.0))) [caused by: Unable to resolve org.jboss.xnio.api [55](R 55.0): missing requirement [org.jboss.xnio.api [55](R 55.0)] osgi.service; (objectClass=org.xnio.Xnio)]]]]]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
      	at org.apache.felix.resolver.ResolverImpl.doResolve(ResolverImpl.java:392)
      	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:378)
      	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:332)
      	at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:257)
      	at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:388)
      	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1058)
      	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:994)
      	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
      	at java.lang.Thread.run(Thread.java:748)
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve eb17e603-c1f1-4482-be93-4a233560fe49/0.0.0: missing requirement [eb17e603-c1f1-4482-be93-4a233560fe49/0.0.0] osgi.identity; osgi.identity=camel-undertow; type=karaf.feature; version="[2.21.0.fuse-730067,2.21.0.fuse-730067]" [caused by: Unable to resolve camel-undertow/2.21.0.fuse-730067: missing requirement [camel-undertow/2.21.0.fuse-730067] osgi.identity; osgi.identity=org.apache.camel.camel-undertow; type=osgi.bundle; version="[2.21.0.fuse-730067,2.21.0.fuse-730067]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-undertow [54](R 54.0): missing requirement [org.apache.camel.camel-undertow [54](R 54.0)] osgi.wiring.package; (&(osgi.wiring.package=io.undertow.client)(version>=2.0.0)(!(version>=3.0.0))) [caused by: Unable to resolve io.undertow.core [49](R 49.0): missing requirement [io.undertow.core [49](R 49.0)] osgi.wiring.package; (&(osgi.wiring.package=org.xnio.channels)(version>=3.3.0)(!(version>=4.0.0))) [caused by: Unable to resolve org.jboss.xnio.api [55](R 55.0): missing requirement [org.jboss.xnio.api [55](R 55.0)] osgi.service; (objectClass=org.xnio.Xnio)]]]]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
      	... 12 more
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve camel-undertow/2.21.0.fuse-730067: missing requirement [camel-undertow/2.21.0.fuse-730067] osgi.identity; osgi.identity=org.apache.camel.camel-undertow; type=osgi.bundle; version="[2.21.0.fuse-730067,2.21.0.fuse-730067]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-undertow [54](R 54.0): missing requirement [org.apache.camel.camel-undertow [54](R 54.0)] osgi.wiring.package; (&(osgi.wiring.package=io.undertow.client)(version>=2.0.0)(!(version>=3.0.0))) [caused by: Unable to resolve io.undertow.core [49](R 49.0): missing requirement [io.undertow.core [49](R 49.0)] osgi.wiring.package; (&(osgi.wiring.package=org.xnio.channels)(version>=3.3.0)(!(version>=4.0.0))) [caused by: Unable to resolve org.jboss.xnio.api [55](R 55.0): missing requirement [org.jboss.xnio.api [55](R 55.0)] osgi.service; (objectClass=org.xnio.Xnio)]]]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
      	... 13 more
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve org.apache.camel.camel-undertow [54](R 54.0): missing requirement [org.apache.camel.camel-undertow [54](R 54.0)] osgi.wiring.package; (&(osgi.wiring.package=io.undertow.client)(version>=2.0.0)(!(version>=3.0.0))) [caused by: Unable to resolve io.undertow.core [49](R 49.0): missing requirement [io.undertow.core [49](R 49.0)] osgi.wiring.package; (&(osgi.wiring.package=org.xnio.channels)(version>=3.3.0)(!(version>=4.0.0))) [caused by: Unable to resolve org.jboss.xnio.api [55](R 55.0): missing requirement [org.jboss.xnio.api [55](R 55.0)] osgi.service; (objectClass=org.xnio.Xnio)]]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
      	... 14 more
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve io.undertow.core [49](R 49.0): missing requirement [io.undertow.core [49](R 49.0)] osgi.wiring.package; (&(osgi.wiring.package=org.xnio.channels)(version>=3.3.0)(!(version>=4.0.0))) [caused by: Unable to resolve org.jboss.xnio.api [55](R 55.0): missing requirement [org.jboss.xnio.api [55](R 55.0)] osgi.service; (objectClass=org.xnio.Xnio)]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
      	... 15 more
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve org.jboss.xnio.api [55](R 55.0): missing requirement [org.jboss.xnio.api [55](R 55.0)] osgi.service; (objectClass=org.xnio.Xnio)
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
      	... 16 more
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                grgrzybek Grzegorz Grzybek
                Reporter:
                llowinge Lukáš Löwinger
                Tester:
                Lukáš Löwinger
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: